package com.eactive.eai.transformer.layout;

public class TreeStructureException extends Exception {
	private static final long serialVersionUID = 7610336078083485329L;
	private Item item1;
    private Item item2;

    public TreeStructureException(String message) {
        this(message, null, null);
    }

    public TreeStructureException(String message, Item item1) {
        this(message, item1, null);
    }

    public TreeStructureException(String message, Item item1,
        Item item2) {
        super(message);
        this.item1 = item1;
        this.item2 = item2;
    }

    public Item getItem1() {
        return item1;
    }

    public Item getItem2() {
        return item2;
    }
}
